For Developers
Fetch Extraction
GET https://ed.link/api/v2/teams/:team_id/sources/:source_id/extractions/:extraction_id
Retrieves metadata and status for a single extraction job.
Permissions
Requires the extractions.read system permission.
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
:team_id | UUID | Yes | The ID of the team. |
:source_id | UUID | Yes | The ID of the source. |
:extraction_id | UUID | Yes | The ID of the extraction. |
Sample Request
const response = await axios.get(
`https://ed.link/api/v2/teams/${team_id}/sources/${source_id}/extractions/${extraction_id}`,
{
headers: {
authorization: `Bearer ${user_session_token}`
}
}
);
Sample Response
{
"$data": {
"id": "4a18dc60-5ff0-482a-9e1e-28ebc9735d10",
"created_date": "2024-06-21T05:00:00.000Z",
"state": "completed",
"sequence": 42
}
}
